tech-userlevel archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: libevent (1.4.12-stable) -> external/bsd

On Wed, 28 Oct 2009, Thor Lancelot Simon wrote:

> On Wed, Oct 28, 2009 at 02:04:06PM +0000, Iain Hibbert wrote:
> > Hi,
> >    I notice that tls@ updated libevent to 1.4.11-stable earlier this year
> > though within a couple of weeks 1.4.12-stable was released (heh :). I was
> > looking at updating it and moving to external/bsd at the same time. I've
> > not got up to installing and testing yet but see the work so far at:
> Why 1.4.12 instead of 2.x?

mostly because Neils' blog mentioned:

  "This is a bugfix-only release, and some of the bugs were kind of nasty.
   I'd recommend that you upgrade, especially if you are writing code that
   uses epoll or evdns"

> I am wondering, though, if we want all the many and bloated components of
> libevent -- which is more the case for 2.x than for 1.4.

I didn't look at 2.x at all but since its still only in alpha, it might be
worth while looking at and possibly providing patches to disable features
we don't want before it turns into a release and we can import it at that


Home | Main Index | Thread Index | Old Index